org.apache.poi.common.usermodel.fonts

## Enum FontHeader.PanoseLetterForm

- java.lang.Object
- - java.lang.Enum<FontHeader.PanoseLetterForm>
  - - org.apache.poi.common.usermodel.fonts.FontHeader.PanoseLetterForm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontHeader.PanoseLetterForm>
  Enclosing class:
    FontHeader

      public static enum FontHeader.PanoseLetterForm
      extends java.lang.Enum<FontHeader.PanoseLetterForm>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `NO_FIT`
    `NORMAL_BOXED`
    `NORMAL_CONTACT`
    `NORMAL_FLATTENED`
    `NORMAL_OFF_CENTER`
    `NORMAL_ROUNDED`
    `NORMAL_SQUARE`
    `NORMAL_WEIGHTED`
    `OBLIQUE_BOXED`
    `OBLIQUE_CONTACT`
    `OBLIQUE_FLATTENED`
    `OBLIQUE_OFF_CENTER`
    `OBLIQUE_ROUNDED`
    `OBLIQUE_SQUARE`
    `OBLIQUE_WEIGHTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontHeader.PanoseLetterForm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontHeader.PanoseLetterForm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FontHeader.PanoseLetterForm ANY

    - #### NO_FIT

          public static final FontHeader.PanoseLetterForm NO_FIT

    - #### NORMAL_CONTACT

          public static final FontHeader.PanoseLetterForm NORMAL_CONTACT

    - #### NORMAL_WEIGHTED

          public static final FontHeader.PanoseLetterForm NORMAL_WEIGHTED

    - #### NORMAL_BOXED

          public static final FontHeader.PanoseLetterForm NORMAL_BOXED

    - #### NORMAL_FLATTENED

          public static final FontHeader.PanoseLetterForm NORMAL_FLATTENED

    - #### NORMAL_ROUNDED

          public static final FontHeader.PanoseLetterForm NORMAL_ROUNDED

    - #### NORMAL_OFF_CENTER

          public static final FontHeader.PanoseLetterForm NORMAL_OFF_CENTER

    - #### NORMAL_SQUARE

          public static final FontHeader.PanoseLetterForm NORMAL_SQUARE

    - #### OBLIQUE_CONTACT

          public static final FontHeader.PanoseLetterForm OBLIQUE_CONTACT

    - #### OBLIQUE_WEIGHTED

          public static final FontHeader.PanoseLetterForm OBLIQUE_WEIGHTED

    - #### OBLIQUE_BOXED

          public static final FontHeader.PanoseLetterForm OBLIQUE_BOXED

    - #### OBLIQUE_FLATTENED

          public static final FontHeader.PanoseLetterForm OBLIQUE_FLATTENED

    - #### OBLIQUE_ROUNDED

          public static final FontHeader.PanoseLetterForm OBLIQUE_ROUNDED

    - #### OBLIQUE_OFF_CENTER

          public static final FontHeader.PanoseLetterForm OBLIQUE_OFF_CENTER

    - #### OBLIQUE_SQUARE

          public static final FontHeader.PanoseLetterForm OBLIQUE_SQUARE

  - ### Method Detail

    - #### values

          public static FontHeader.PanoseLetterForm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontHeader.PanoseLetterForm c : FontHeader.PanoseLetterForm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontHeader.PanoseLetterForm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.